%define rel	5

Name:		colord-kde
Version:	0.5.0
Release:	%mkrel %{rel}
Summary:	Interfaces and session daemon to colord for Plasma 5
Group:		Graphical desktop/KDE
License:	GPLv2+
URL:		https://quickgit.kde.org/?p=colord-kde.git
Source0:	http://download.kde.org/stable/colord-kde/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(lcms2)

BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5KCMUtils)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5ItemViews)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5Plasma)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5WindowSystem)
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Xml)

# colord is a dbus daemon
Requires:	colord
Requires:	systemsettings

%description
Interfaces and session daemon to colord for Plasma 5.


%files -f %{name}.lang
%doc MAINTAINERS TODO
%license COPYING
%{_kf5_bindir}/colord-kde-icc-importer
%{_qt5_plugindir}/kcm_colord.so
%{_qt5_plugindir}/kded_colord.so
%{_kf5_services}/kcm_colord.desktop
%{_kf5_services}/kded/colord.desktop
%{_kf5_applicationsdir}/colordkdeiccimporter.desktop

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 0.5.0-5.mga8
+ Revision: 1658268
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.5.0-4.mga8
+ Revision: 1524423
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 0.5.0-3.mga7
+ Revision: 1381461
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.5.0-2.mga7
+ Revision: 1296705
- Mageia 7 Mass Rebuild

* Fri Oct 21 2016 daviddavid <daviddavid> 0.5.0-1.mga6
+ Revision: 1062916
- new version: 0.5.0
- update URL

* Mon Sep 19 2016 neoclust <neoclust> 0.4.0-0.git20160908.2.mga6
+ Revision: 1054507
- Rebuild for ARM

* Thu Sep 15 2016 daviddavid <daviddavid> 0.4.0-0.git20160908.1.mga6
+ Revision: 1053035
- new version: 0.4.0-git20160908
  * commit: 41686290dd10f66d30d337e2fe52fa1f5af6f47c
- update URL
- update summary and description

* Tue Jan 26 2016 daviddavid <daviddavid> 0.4.0-0.git20151105.1.mga6
+ Revision: 927847
- new version: 0.4.0-git20151105
  * update to a git snapshot based on KF5
  * commit: 630c08dec18eb15fc281ea2ce103d50285e8d5ed
- switch build to Qt5/kf5
- update Source URL

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 740583
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 693662
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 678482
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3.0-2.mga4
+ Revision: 525711
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 mikala <mikala> 0.3.0-1.mga4
+ Revision: 434205
- Update tarball to 0.3.0
- Fix Source url
- imported package colord-kde

